Subject: [eap] Re: eap digest, Vol 1 #184 - 2 msgs

From: [email-masked] (Bernard Aboba)
Date: Fri, 24 Jan 2003 11:36:49 -0800 (PST)

> First we really need to understand what problems arise from carrying EAP
> above IP. Re-ordering was brought up, but that can be handled by
> including an identifier field in a PANA header. So I don't
> see this as a requirement for a new version of EAP. Is there anything else?
> Let's think...

The most obvious problems arise because EAP is only a mediocre datagram
transport (e.g. no checksum, no fragmentation support, small identifier
field, etc.). These things have little to do with whether EAP is used in wireless
or wired networks. If the EAP header had looked more like the UDP header
in the first place, these problems would not have arisen. So it is not
unreasonable to think that a UDP transport could fix most of them, if done
well.